OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
http_compat.h File Reference

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility. More...

`#include <event2/event-config.h>`
`#include <event2/util.h>`

Go to the source code of this file.

## Macros
#define | evhttp_request_uri evhttp_request_get_uri
| Returns the request URI.

## Functions
struct evhttp * | evhttp_start (const char *address, unsigned short port)
| Start an HTTP server on the specified address and port. More...
struct evhttp_connection * | evhttp_connection_new (const char *address, unsigned short port)
| A connection object that can be used to for making HTTP requests. More...
void | evhttp_connection_set_base (struct evhttp_connection *evcon, struct event_base *base)
| Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet. More...

## Detailed Description

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility.

## Function Documentation

struct evhttp_connection* evhttp_connection_new | ( | const char * | address,
|  | unsigned short | port
| ) |  |

A connection object that can be used to for making HTTP requests.

The connection object tries to establish the connection when it is given an http request object.

Deprecated:
  It does not allow an event base to be specified

References evhttp_connection_base_new().

void evhttp_connection_set_base | ( | struct evhttp_connection * | evcon,
|  | struct event_base * | base
| ) |  |

Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet.

Deprecated:
  XXXX Why?

References bufferevent_base_set().

Referenced by evrpc_pool_add_connection().

struct evhttp* evhttp_start | ( | const char * | address,
|  | unsigned short | port
| ) |  |

Start an HTTP server on the specified address and port.

Deprecated:
  It does not allow an event base to be specified

Parameters

  address | the address to which the HTTP server should be bound
  port | the port number on which the HTTP server should listen

Returns
  an struct evhttp object

References evhttp_bind_socket().